\name{optimize.MA.design}
\alias{optimize.MA.design}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Generate an optimised 2 Color-MA design building on scratch or on
given a priori hybridisations}
\description{XXX }
\usage{
optimize.MA.design(c.matrix,c.info,init,print.every,number.units.of.exp,number.total.arrays,fixed.part,index.already.compaired)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{cmatrix}{ Contrast Matrix as in daMA package, to specify the
    desired constrasts for which the MA design should be optimised}
  \item{cinfo}{see daMA package }
  \item{number.units.of.exp}{How many different instances for
    hybridisation -- e.g. for a 2x4-design there are 8.}
  \item{fixed.part}{part of the design already hybridised}
  \item{index.already.compaired}{index within the numbered possibilities
    of all possible designs for the hybridisations of the fixed.part}
}
\value{
  \item{bd}{best design as table like in daMA package}
  \item{bld}{best labelled design, like bd, but with labelling specified}
  \item{bs}{Index for recommended hybridisations out of the enumbered
    all possible}
  \item{bls}{best labelled sets}
}
\references{
Manuscript in prep.: Expression profiling of rice cultivars differing in
their drought tolerance under moderate long-term drought
stress. Together with (but not limited to): Karin K{\"o}hl and Thomas Degenkolbe
}
\author{ Dirk Repsilber (repsilber@mpimp-golm.mpg.de)}
\note{Description of functionality is less but a skeleton... I know. But
until this is more substantial have a look on the source R-script!}

\section{Warning }{The optimization does not take into account different
biological replicates.}

\seealso{ \code{\link{designMA}}(daMA package) }
\examples{
library(D2CMA)
optimize.MA.design() # delivers the optimal design in the publication
}
\keyword{ arith }% at least one, from doc/KEYWORDS
\keyword{ math }% __ONLY ONE__ keyword per line
